### Constructor

# Camel Sasl new

#### Declaration [src]

    CamelSasl*
    camel_sasl_new (
      const gchar* service_name,
      const gchar* mechanism,
      CamelService* service
    )

#### Description

No description available.

#### Parameters

`service_name`

  Type: `const gchar*`

  The SASL service name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`mechanism`

  Type: `const gchar*`

  The SASL mechanism.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`service`

  Type: `CamelService`

  The CamelService that will be using this SASL.

  The data is owned by the caller of the function.

#### Return value

Type: `CamelSasl`

A new `CamelSasl` object for the given `service_name`, `mechanism`, and `service`, or `NULL` if the mechanism is not supported.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.